package speiger.src.coreengine.platform.graphics.api.shader;

import java.util.Objects;

import speiger.src.coreengine.platform.graphics.api.utils.AlphaFunction;

public record DepthTarget(boolean enabled, AlphaFunction function, boolean write) {
	public static final DepthTarget DEFAULT = new DepthTarget(true, AlphaFunction.GEQUAL, true);
	
	public DepthTarget {
		Objects.requireNonNull(function);
	}
}
